# Отчёт по лабораторной работе №1

Выполнил: студент гр. ИСЭбд-41 Казаков Е.В.

## Разворачивание сервиса Gitea

Содержимое файла `docker-compose.yml` в папке Gitea:

```yaml
version: "3"

networks:
  gitea:
    external: false
#Контейнер Gitea используется для запуска самого сервиса
services:
  server:
    image: gitea/gitea:1.20.4 #образ gitea
    container_name: gitea
    environment: #наши параметры
      - USER_UID=1000
      - USER_GID=1000
      - GITEA__database__DB_TYPE=mysql
      - GITEA__database__HOST=db:3306
      - GITEA__database__NAME=gitea
      - GITEA__database__USER=gitea
      - GITEA__database__PASSWD=gitea
    restart: always
    networks:
      - gitea
    volumes: #прописываем каталоги для хранения данных контейнера
      - ./gitea:/data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    ports: #порт локальный и внутри сети
      - "3000:3000"
      - "222:22"
    depends_on:
      - db
#Контейнер Mysql используется как сервер для запуска
  db:
    image: mysql:8
    restart: always
    environment: #подключаем каталог с базой данных
      - MYSQL_ROOT_PASSWORD=gitea
      - MYSQL_USER=gitea
      - MYSQL_PASSWORD=gitea
      - MYSQL_DATABASE=gitea
    networks:
      - gitea
    volumes:
      - ./mysql:/var/lib/mysql
```
Далее в командной строке разворачиваем сервис командой `docker-compose up`:
![](shots/ss-1.png)
Открываем Docker Desktop и проверяем, что контейнер сервера базы данных и Gitea созданы и запущены:
![](shots/ss2.png)
Переходим на http://localhost:3000:
![](shots/ss3.png)
Регистрируемся и заходим на наш аккаунт
![](shots/ss4.png)
## Разворачивание сервиса Redmine
Содержимое файла `docker-compose.yml` в папке Redmine:
```yaml
version: '3.1'
#Контейнер Redmine используется для запуска самого сервиса
services:
  redmine:
    image: redmine #образ Redmine
    restart: always
    ports: #порт 
      - 8080:3000
    environment:
      REDMINE_DB_MYSQL: db
      REDMINE_DB_PASSWORD: example
      REDMINE_SECRET_KEY_BASE: supersecretkey
#Контейнер Mysql используется как сервер для запуска
  db:
    image: mysql:5.7
    restart: always
    environment: 
      MYSQL_ROOT_PASSWORD: example
      MYSQL_DATABASE: redmine
```
Далее в командной строке разворачиваем сервис командой `docker-compose up`:
![](shots/ss5.png)
Открываем Docker Desktop и проверяем, что контейнер сервера базы данных и Reamine созданы и запущены:
![](shots/ss6.png)
Переходим на http://localhost:8080:
![](shots/ss7.png)
Входим:

![](shots/ss8.png)

Вот собственно наш пользователь:
![](shots/ss9.png)
## Разворачивание сервиса moodle
Содержимое файла `docker-compose.yml` в папке moodle:
```yaml
version: '2'
#Контейнер Mariadb используется как сервер для запуска
services:
  mariadb:
    image: docker.io/bitnami/mariadb:11.0
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
      - MARIADB_USER=bn_moodle
      - MARIADB_DATABASE=bitnami_moodle
      - MARIADB_CHARACTER_SET=utf8mb4
      - MARIADB_COLLATE=utf8mb4_unicode_ci
    volumes:
      - 'mariadb_data:/bitnami/mariadb'
      #Контейнер moodle используется для запуска самого сервиса
  moodle:
    image: docker.io/bitnami/moodle:4.2
    ports: #порт
      - '80:8080'
      - '443:8443'
    environment:
      - MOODLE_DATABASE_HOST=mariadb
      - MOODLE_DATABASE_PORT_NUMBER=3306
      - MOODLE_DATABASE_USER=bn_moodle
      - MOODLE_DATABASE_NAME=bitnami_moodle
      - ALLOW_EMPTY_PASSWORD=yes
      - MOODLE_USERNAME=vechno
      - MOODLE_PASSWORD=solo
    volumes:
      - 'moodle_data:/bitnami/moodle'
      - 'moodledata_data:/bitnami/moodledata'
    depends_on:
      - mariadb
volumes:
  mariadb_data:
    driver: local
  moodle_data:
    driver: local
  moodledata_data:
    driver: local
```
Далее в командной строке разворачиваем сервис командой `docker-compose up`:
![](shots/ss10.png)
Открываем Docker Desktop и проверяем, что контейнер сервера базы данных и moodle созданы и запущены:
![](shots/ss11.png)
Переходим на http://localhost:80:
![](shots/ss12.png)